﻿<UserControl x:Class="Drones2.Stergere2"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:Drones2"
             mc:Ignorable="d" 
             d:DesignHeight="600" d:DesignWidth="350"   
              xmlns:Controls="clr-namespace:MahApps.Metro.Controls;assembly=MahApps.Metro" 
        
            Height="300" Width="300"   >
    <UserControl.Resources>

        <Thickness x:Key="ControlMargin">0 5 0 0</Thickness>
    </UserControl.Resources>
    <Grid>
        <ScrollViewer VerticalScrollBarVisibility="Auto" Margin="10">
            <StackPanel Grid.Row="2">
                <TextBox x:Name="Nume_Traf" Controls:TextBoxHelper.Watermark="Nume Trafic"  >
                    <TextBox.Style >
                        <Style BasedOn="{StaticResource MetroTextBox}" TargetType="{x:Type TextBox}">
                            <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="True" />
                            <Style.Triggers>
                                <Trigger Property="Controls:TextBoxHelper.HasText" Value="False">
                                    <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="False" />

                                </Trigger>
                                <Trigger Property="Controls:TextBoxHelper.HasText" Value="True">
                                    <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="True" />
                                </Trigger>
                            </Style.Triggers>
                        </Style>
                    </TextBox.Style>
                </TextBox>
                <TextBox x:Name="NumeSector" Margin="0,5,0,0" Controls:TextBoxHelper.Watermark="Nume Sector"  >
                    
                    <TextBox.Style >
                        <Style BasedOn="{StaticResource MetroTextBox}" TargetType="{x:Type TextBox}">
                            <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="True" />
                            <Style.Triggers>
                                <Trigger Property="Controls:TextBoxHelper.HasText" Value="False">
                                    <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="False" />
                                </Trigger>
                                <Trigger Property="Controls:TextBoxHelper.HasText" Value="True">
                                    <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="True" />
                                </Trigger>
                            </Style.Triggers>
                        </Style>
                    </TextBox.Style>
                </TextBox>
                <TextBox x:Name="GradPericol" Margin="0,5,0,0" Controls:TextBoxHelper.Watermark="Grad Pericol" >
                    
                    <TextBox.Style >
                        <Style BasedOn="{StaticResource MetroTextBox}" TargetType="{x:Type TextBox}">
                            <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="True" />
                            <Style.Triggers>
                                <Trigger Property="Controls:TextBoxHelper.HasText" Value="False">
                                    <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="False" />

                                </Trigger>
                                <Trigger Property="Controls:TextBoxHelper.HasText" Value="True">
                                    <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="True" />
                                </Trigger>
                            </Style.Triggers>
                        </Style>
                    </TextBox.Style>
                </TextBox>
                <TextBox x:Name="PermisTraf" Margin="0,5,0,0" Controls:TextBoxHelper.Watermark="Permis Trafic" >
                    <TextBox.Style >
                        <Style BasedOn="{StaticResource MetroTextBox}" TargetType="{x:Type TextBox}">
                            <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="True" />
                            <Style.Triggers>
                                <Trigger Property="Controls:TextBoxHelper.HasText" Value="False">
                                    <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="False" />

                                </Trigger>
                                <Trigger Property="Controls:TextBoxHelper.HasText" Value="True">
                                    <Setter Property="Controls:TextBoxHelper.ClearTextButton" Value="True" />
                                </Trigger>
                            </Style.Triggers>
                        </Style>
                    </TextBox.Style>
                </TextBox>

            </StackPanel>
        </ScrollViewer>
        
        <Button Margin="10,135,0,125" Height="40" Width="100" HorizontalAlignment="Left"  Content="Sterge" Click="Sterge2_click" />
        <Button Margin="0,135,10,125" Width="100" HorizontalAlignment="Right"  Content="Confirmă" Click="Confirma2_click" />

    </Grid>
</UserControl>